Modify

Opened 2 years ago

Closed 2 years ago

Last modified 2 years ago

#19740 closed defect (wontfix)

Projection EPSG:102100 is missing

Reported by: pyrog Owned by: team
Priority: normal Milestone:
Component: Core Version:
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

  1. Load a CSV file
  2. select Projection by EPSG code

What is the expected result?

This code is missing in the list

Please provide any additional information below. Attach a screenshot if possible.

Data comme from ARGIS REST server.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-07-30 12:44:04 +0200 (Thu, 30 Jul 2020)
Build-Date:2020-07-31 01:30:49
Revision:16812
Relative:URL: ^/trunk

Identification: JOSM/1.5 (16812 fr) Mac OS X 10.14.6
OS Build number: Mac OS X 10.14.6 (18G4032)
Memory Usage: 1094 MB / 1820 MB (316 MB allocated, but free)
Java version: 1.8.0_261-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.apple.laf.AquaLookAndFeel
Screen: Display 69732928 1280x800 (scaling 1.0x1.0)
Maximum Screen Size: 1280x800
Best cursor sizes: 16x16 -> 16x16, 32x32 -> 32x32
VM arguments: [-Djava.library.path=/Applications/JOSM.app/Contents/MacOS, -DLibraryDirectory=${HOME}/Library, -DDocumentsDirectory=${HOME}/Documents, -DApplicationSupportDirectory=${HOME}/Library/Application Support, -DCachesDirectory=${HOME}/Library/Caches, -DApplicationDirectory=${HOME}/Applications, -DAutosavedInformationDirectory=${HOME}/Library/Autosave Information, -DDesktopDirectory=${HOME}/Desktop, -DDownloadsDirectory=${HOME}/Downloads, -DMoviesDirectory=${HOME}/Movies, -DMusicDirectory=${HOME}/Music, -DPicturesDirectory=${HOME}/Pictures, -DSharedPublicDirectory=${HOME}/Public, -DSystemLibraryDirectory=/Library, -DSystemApplicationSupportDirectory=/Library/Application Support, -DSystemCachesDirectory=/Library/Caches, -DSystemApplicationDirectory=/Applications, -DSystemUserDirectory=/Users, -DUserHome=${HOME}, -DSandboxEnabled=true, -DLaunchModifierFlags=0, -DLaunchModifierFlagCapsLock=false, -DLaunchModifierFlagShift=false, -DLaunchModifierFlagControl=false, -DLaunchModifierFlagOption=false, -DLaunchModifierFlagCommand=false, -DLaunchModifierFlagNumericPad=false, -DLaunchModifierFlagHelp=false, -DLaunchModifierFlagFunction=false, -Dapple.laf.useScreenMenuBar=true, -Dcom.apple.macos.use-file-dialog-packages=true, -Dcom.apple.macos.useScreenMenuBar=true, -Dcom.apple.mrj.application.apple.menu.about.name=JOSM, -Dcom.apple.smallTabs=true]
Dataset consistency test: No problems found

Plugins:
+ PicLayer (35405)
+ apache-commons (35524)
+ apache-http (35092)
+ areaselector (368)
+ austriaaddresshelper (1597341117)
+ buildings_tools (35500)
+ cadastre-fr (35405)
+ conflation (0.6.6)
+ ejml (35313)
+ geotools (35169)
+ jaxb (35092)
+ jna (35092)
+ jts (35122)
+ log4j (35092)
+ measurement (35405)
+ opendata (35513)
+ pt_assistant (2.1.10-80-g7d9bba3)
+ reverter (35499)
+ utilsplugin2 (35487)
+ wikipedia (1.1.4)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/Towers&zip=1
+ https://raw.githubusercontent.com/OpenNauticalChart/josm/master/INT-1-preset.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/Telecom&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/Healthcare&zip=1
+ https://raw.githubusercontent.com/osmlab/name-suggestion-index/master/dist/name-suggestions.presets.xml

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/NumberedWalkingNodeNetworks&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1

Validator rules:
+ https://github.com/Jungle-Bus/transport_mapcss/raw/gh-pages/transport.validator.zip
+ ${HOME}/Downloads/Rules_Pictures.validator.mapcss

Last errors/warnings:
- E: java.net.SocketTimeoutException: Read timed out
- W: org.openstreetmap.josm.io.OsmTransferException: Impossible de joindre le serveur. Veuillez vérifier votre connexion Internet.. Cause : java.net.SocketTimeoutException: Read timed out
- W: Unknown remote control parameter amp;changeset_hashtags, skipping it
- W: Avertissement - <html>Impossible d’ouvrir le fichier 1 car il n’existe pas, ou aucun gestionnaire adapté n’est disponible.<br><ul><li>${HOME}/Desktop/DAE Annecy.json (<i>aucun gestionnaire</i>)</li></ul></html>
- E: Error while reading json file!
- E: org.openstreetmap.josm.io.IllegalDataException: No type
- W: Aucunes coordonnées valides n’ont été trouvées
- W: Aucunes coordonnées valides n’ont été trouvées
- E: org.openstreetmap.josm.io.IllegalDataException: Jeu de données non valide
- E: Erreur - <html>Impossible de lire le fichier 'DAE-Annecy.csv'.<br>Erreur :<br>Jeu de données non valide</html>

Attachments (0)

Change History (4)

comment:1 Changed 2 years ago by stoecker

Resolution: wontfix
Status: newclosed

JOSM does not support deprecated projection codes: https://epsg.io/102100 Use 3857 instead.

comment:2 Changed 2 years ago by pyrog

I read this and tested with 3857 but unfortunately there is an offset.

Also the fact is that ArcGIS servers use this deprecated EPSG.

So could you please, add it with a label like the following ?
"EPSG:102100 DEPRECATED Spherical Mercator (unofficial deprecated ESRI)"

comment:3 Changed 2 years ago by stoecker

Sorry, no. If there are servers which only support unofficial deprecated systems then you should contact them and tell that. Otherwise simply use one of the non-deprecated options.

Anyway, there should be no offset for 3857 and 102100: https://support.esri.com/en/technical-article/000013950

comment:4 Changed 2 years ago by pyrog

If there are servers which only support unofficial deprecated systems then you should contact them and tell that

Done by somebody : https://support.esri.com/en/technical-article/000013950

Otherwise simply use one of the non-deprecated options.

I'am not an expert in EPSG code ;)
This EPSG code could be used in input only, or the label could be "Deprecated code : use EPSG: 3857 instead" ?

there should be no offset for 3857 and 102100:

I observed json data an see an offset added by some url parameters :
https://…/FeatureServer/0/query?f=json&where=1=1&returnGeometry=true&spatialRel=esriSpatialRelIntersects&outFields=*&maxRecordCountFactor=5&outSR=102100&resultOffset=0&resultRecordCount=5000&cacheHint=true&quantizationParameters=%7B%22mode%22:%22view%22,%22originPosition%22:%22upperLeft%22,%22tolerance%22:1.0583354500042346,%22extent%22:%7B%22xmin%22:1939350.5310000032,%22ymin%22:5189155.751600001,%22xmax%22:1944961.2299999967,%22ymax%22:5200995.729800001,%22spatialReference%22:%7B%22wkid%22:3946,%22latestWkid%22:3946%7D%7D%7D

I simply use EPSG 102100 instead of 3857 and remove the all unnecessary parameters and it works :
https://…/FeatureServer/0/query?f=json&where=1=1&returnGeometry=true&spatialRel=esriSpatialRelIntersects&outFields=*&maxRecordCountFactor=5&outSR=3857&resultOffset=0&resultRecordCount=5000

So, thank you :)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.